﻿<%@ Page Title="" Language="C#" MasterPageFile="~/WebsiteMasterPage.master" AutoEventWireup="true" CodeFile="admin_ChuDeToanHoc.aspx.cs" Inherits="admin_module_admin_ChuDeToanHoc" %>

<asp:Content ID="Content1" ContentPlaceHolderID="headlink" runat="Server">
    <link href="/admin_css/datatables.css" rel="stylesheet" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="hihead" runat="Server">
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="himenu" runat="Server">
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="higlobal" runat="Server">
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="hislider" runat="Server">
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="hibelowtop" runat="Server">
</asp:Content>
<asp:Content ID="Content7" ContentPlaceHolderID="hibodyhead" runat="Server">
</asp:Content>
<asp:Content ID="Content8" ContentPlaceHolderID="hibodywrapper" runat="Server">
    <!-- Content -->
    <div class="content">
        <!-- Animated -->
        <div class="animated fadeIn">
            <!-- Widgets  -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-header">
                            <strong class="mr-2">Chủ đề toán học </strong>
                            <button type="button" class="btn btn-sm btn-primary" onclick="sellnull()" data-toggle="modal" data-target="#modalAdd"><i class="ti-plus"></i>&nbsp;Chủ đề toán học</button>

                        </div>
                        <div class="card-body">
                            <table id="tableAll" class="table table-striped table-bordered" style="width: 100%">
                                <thead>
                                    <tr>
                                        <th>STT</th>
                                        <th>Chủ đề toán học</th>
                                        <th>Mô tả</th>
                                        <th>#</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td>1</td>
                                        <td>Tên chủ đề</td>
                                        <td>Mô tả</td>
                                        <td>
                                            <div class="d-flex">
                                                <button type="button" class="btn btn-hdong btn-edit" data-toggle="modal" data-target="#modalAdd"><i class="fa fa-pencil"></i></button>
                                                <button type="button" class="btn btn-hdong btn-delete"><i class="fa fa-close"></i></button>
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>Tên chủ đề</td>
                                        <td>Mô tả</td>
                                        <td>
                                            <div class="d-flex">
                                                <button type="button" class="btn btn-hdong btn-edit" data-toggle="modal" data-target="#modalAdd"><i class="fa fa-pencil"></i></button>
                                                <button type="button" class="btn btn-hdong btn-delete"><i class="fa fa-close"></i></button>
                                            </div>
                                        </td>
                                    </tr>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th></th>
                                        <th>Chủ đề toán học</th>
                                        <th>Mô tả</th>
                                        <th>#</th>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                </div>


            </div>
            <!-- /Widgets -->
            <!-- Modal - Calendar - Add Category -->
            <div class="modal fade none-border" id="modalAdd">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                            <h5 class="modal-title"><strong>Chủ đề toán học</strong></h5>
                        </div>
                        <div class="modal-body">
                            <div class="form-row">
                                <div class="col-sm-3">
                                    <div class="mb-2">
                                        <label class="control-label">STT <span class="text-danger">*</span></label>
                                        <input id="txtIndex" class="form-control" type="number" min="0" value="0" />
                                    </div>
                                </div>
                                <div class="col-sm-9">
                                    <div class="mb-2">
                                        <label class="control-label">Tên chủ đề toán học</label>
                                        <input id="txtChuDeToanHoc" class="form-control" placeholder="Chủ đề toán học" type="text" />
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label">Mô tả</label>
                                <textarea id="txtMoTa" rows="3" class="form-control" placeholder="Mô tả"></textarea>
                            </div>
                            <div class="mt-2 text-center">
                                <button id="btnsave" data-id="0" type="button" class="btn btn-primary"><i class='ti-save'></i>&nbsp;Lưu</button>
                            </div>
                        </div>

                    </div>
                </div>
            </div>

            <!-- /#add-category -->
        </div>
        <!-- .animated -->
    </div>
    <!-- /.content -->
</asp:Content>
<asp:Content ID="Content9" ContentPlaceHolderID="hibodybottom" runat="Server">
</asp:Content>
<asp:Content ID="Content10" ContentPlaceHolderID="hibelowbottom" runat="Server">
</asp:Content>
<asp:Content ID="Content11" ContentPlaceHolderID="hifooter" runat="Server">
    <script src="/admin_js/datatables.min.js"></script>
    <script type="text/javascript">
        jQuery(document).ready(function ($) {
            var table = jQuery('#tableAll').DataTable();
            table.destroy();
            let url = apiLink + "/topics"
            jQuery('#tableAll').DataTable({
                "processing": true,
                "pageLength": 50,
                //"serverSide": true,
                "language": {
                    "url": "/admin_js/datatables-vn.json"
                },
                autoWidth: false,
                //"columnDefs": [
                //    { "width": "40%", "targets": 0 },
                //    { "width": "50px", "targets": 2 },
                //],
                ajax: {
                    type: "GET",
                    url: url,
                    headers: { 'Authorization': 'Bearer ' + tokenlogin },
                    dataSrc: 'data'
                },
                "columns": [
                    {
                        "data": function (row, profile, set) {
                            if (row.stt != void 0)
                                return row.stt;
                        },
                        "defaultContent": "0"
                    },
                    {
                        "data": function (row, profile, set) {
                            if (row.name != null)
                                return row.name;
                        },
                        "defaultContent": "N/A"
                    },
                    {
                        "data": function (row, profile, set) {
                            if (row.description != null)
                                return row.description;
                        },
                        "defaultContent": "N/A"
                    },
                    {
                        "data": function (row, profile, set) {
                            var html = "";
                            if (row != null) {
                                html += `<div class="d-flex">`;
                                html += `<button type="button" class="btn btn-hdong btn-edit" onclick=\"getChuDe('${row._id}')\" data-toggle="modal" data-target="#modalAdd"><i class="fa fa-pencil"></i></button>`;
                                html += `<button type="button" class="btn btn-hdong btn-delete" onclick=\"deleteChuDe('${row._id}')\"><i class="fa fa-close"></i></button>`;
                                html += `</div>`;
                                return html;
                            }
                        },
                        "defaultContent": ""
                    }
                ]
            });
        });
        function getChuDe(_id) {
            let url = "/topics/" + _id;
            let ajaxCall = callApiGlobal.getRequestGlobal(url);
            ajaxCall.done((data) => {
                jQuery('#btnsave').attr('data-id', data.data._id);
                jQuery('#txtChuDeToanHoc').val(data.data.name);
                jQuery('#txtMoTa').val(data.data.description);
                if (data.data?.stt) {
                    jQuery('#txtIndex').val(data.data.stt);
                }

            });
            ajaxCall.fail((xhr, status, error) => {
                errShow(xhr);
            });
        }
        function deleteChuDe(_id) {
            swal("Bạn thực sự muốn xóa", "Nếu xóa dữ liệu sẽ không thể phục hồi", "warning",
                {
                    buttons: true,
                    dangerMode: true
                }).then(function (value) {
                    if (value == true) {
                        var url = "/topics/" + _id;
                        let ajaxCall = callApiGlobal.deleteRequestGlobal(url);
                        ajaxCall.done((data) => {
                            let table = jQuery('#tableAll').DataTable();
                            table.ajax.reload();
                            swal("Thành công", "Xóa chủ đề thành công", "success");
                        });
                        ajaxCall.fail((xhr, status, error) => {
                            errShow(xhr);
                        });
                    }
                });
        }

        jQuery('#btnsave').click(function () {
            let _id = jQuery(this).attr('data-id');

            let name = jQuery('#txtChuDeToanHoc').val();
            let description = jQuery('#txtMoTa').val();
            let index = jQuery('#txtIndex').val();

            if (name == "" || name == null) {
                swal("Cảnh báo", "Tên chủ đề không được để trống", "warning");
                return false;
            }
            if (parseInt(index) < 0) {
                swal("Cảnh báo", "STT không được bé hơn 0.", "warning");
                return false;
            }
            let info = {};
            info.name = name;
            info.description = description;
            info.stt = parseInt(index);

            if (_id == "0") {
                let url = "/topics";
                let ajaxCall = callApiGlobal.postRequestGlobal(url, info);
                ajaxCall.done((data) => {
                    let table = jQuery('#tableAll').DataTable();
                    table.ajax.reload();
                    sellnull();
                    swal("Thành công", "Thêm chủ đề thành công", "success");
                    jQuery('#modalAdd').modal('hide');
                });
                ajaxCall.fail((xhr, status, error) => {
                    errShow(xhr);
                });

            } else {
                let url = "/topics/" + _id;
                let ajaxCall = callApiGlobal.putRequestGlobal(url, info);
                ajaxCall.done((data) => {
                    let table = jQuery('#tableAll').DataTable();
                    table.ajax.reload();
                    sellnull();
                    swal("Thành công", "Cập nhật chủ đề thành công", "success");
                    jQuery('#modalAdd').modal('hide');
                });
                ajaxCall.fail((xhr, status, error) => {
                    errShow(xhr);
                });
            }
        })

        function sellnull() {
            jQuery('#btnsave').attr('data-id', '0');
            jQuery('#txtMoTa').val('');
            jQuery('#txtChuDeToanHoc').val('');
            jQuery('#txtIndex').val('0');
        }
    </script>
</asp:Content>

